clc
clear all
dt=0.001;
t=[0:dt:5];
K=[98235.30	10000	18313.70	2917.65	1311.77	1994.12	0.5];
 mc=75;
ms=730;
m1=40;
m2=35.5;
l1=1.011;
l2=1.803;
Is=1230;
kp1=175500;
kp2=175500;
kss=K(1);
css=K(4);
ks1=K(2);
cs1=K(5);
ks2=K(3);
cs2=K(6);
r=K(7);
x1(1)=0;x2(1)=0;x3(1)=0;x4(1)=0;x5(1)=0;
x6(1)=0;x7(1)=0;x8(1)=0;x9(1)=0;x10(1)=0;
for i=1:numel(t)-1;
   
Zp1=bump1(t(i));
Zp2=bump2(t(i));

Zps=x2(i)-r*x3(i);
Zps_dot=x7(i)-r*x8(i);
Zs1=x2(i)-l1*x3(i);
Zs1_dot=x7(i)-l1*x8(i);
Zs2=x2(i)+l2*x3(i);
Zs2_dot=x7(i)+l2*x8(i);
%%
Fss=kss*(x1(i)-Zps)+css*(x6(i)-Zps_dot);
Fs1=ks1*(Zs1-x4(i))+cs1*(Zs1_dot-x9(i));
Fs2=ks2*(Zs2-x5(i))+cs2*(Zs2_dot-x10(i));

x1(i+1)=x1(i)+dt*x6(i);
x2(i+1)=x2(i)+dt*x7(i);
x3(i+1)=x3(i)+dt*x8(i);
x4(i+1)=x4(i)+dt*x9(i);
x5(i+1)=x5(i)+dt*x10(i);

x6(i+1)=x6(i)-(Fss/mc)*dt;
x7(i+1)=x7(i)+dt*(-Fs1-Fs2+Fss)/ms;
x8(i+1)=x8(i)+dt*(l1*Fs1-l2*Fs2-r*Fss)/Is;
x9(i+1)=x9(i)+dt*(Fs1-kp1*(x4(i)-Zp1))/m1;
x10(i+1)=x10(i)+dt*(Fs2-kp2*(x5(i)-Zp2))/m2;
end

d2=x2+l2*x3-x5;
figure(12),plot(t,d2,'.')
title('d2')
grid on